| OpendTect 8.0

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | Private Slots | Friends | List of all members
FrozenColumnsHelper Class Reference

`#include <i_qtableview.h>`

Inheritance diagram for FrozenColumnsHelper:
[legend]

## Protected Member Functions
| FrozenColumnsHelper (QTableView *mainview, QTableView *frozenview)
| ~FrozenColumnsHelper ()
void | cellContextMenuRequested (const QPoint &pos)
void | horHeaderContextMenuRequested (const QPoint &pos)
void | setNrColumns (int nrcol)
void | updateGeom ()

## Protected Attributes
QTableView * | frozenview_
QTableView * | mainview_
int | nrcols_

## Private Slots
void | columnResized (int col, int oldwidth, int newwidth)
void | rowResized (int row, int oldheight, int newheight)

## Friends
class | ODTableView

## Constructor & Destructor Documentation

## ◆ FrozenColumnsHelper()

FrozenColumnsHelper::FrozenColumnsHelper | ( | QTableView * | mainview,
|  | QTableView * | frozenview )
| inline protected

## ◆ ~FrozenColumnsHelper()

FrozenColumnsHelper::~FrozenColumnsHelper | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ cellContextMenuRequested()

void FrozenColumnsHelper::cellContextMenuRequested | ( | const QPoint & | pos | ) |
| inline protected

## ◆ columnResized

void FrozenColumnsHelper::columnResized | ( | int | col,
|  | int | oldwidth,
|  | int | newwidth )
| inline private slot

## ◆ horHeaderContextMenuRequested()

void FrozenColumnsHelper::horHeaderContextMenuRequested | ( | const QPoint & | pos | ) |
| inline protected

## ◆ rowResized

void FrozenColumnsHelper::rowResized | ( | int | row,
|  | int | oldheight,
|  | int | newheight )
| inline private slot

## ◆ setNrColumns()

void FrozenColumnsHelper::setNrColumns | ( | int | nrcol | ) |
| inline protected

## ◆ updateGeom()

void FrozenColumnsHelper::updateGeom | ( |  | ) |
| inline protected

## Friends And Related Symbol Documentation

## ◆ ODTableView

friend class ODTableView
| friend

## Member Data Documentation

## ◆ frozenview_

QTableView* FrozenColumnsHelper::frozenview_
| protected

## ◆ mainview_

QTableView* FrozenColumnsHelper::mainview_
| protected

## ◆ nrcols_

int FrozenColumnsHelper::nrcols_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025